<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for shop in offer package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  shop module in offer package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Shop',
    'names'         => 'Shops',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Shops',
        'sub'   => 'Shops',
        'list'  => 'List of shops',
        'edit'  => 'Edit shop',
        'create'    => 'Create new shop'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'published'           => ['yes','no'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'country_id'                 => 'Please enter country id',
        'state_id'                   => 'Please enter state id',
        'district_id'                => 'Please enter district id',
        'location_id'                => 'Please enter location id',
        'parent_id'                  => 'Please enter parent id',
        'name'                       => 'Please enter name',
        'address'                    => 'Please enter address',
        'description'                => 'Please enter description',
        'phone'                      => 'Please enter phone',
        'website'                    => 'Please enter website',
        'email'                      => 'Please enter email',
        'working_hours'              => 'Please enter working hours',
        'logo'                       => 'Please enter logo',
        'images'                     => 'Please enter images',
        'main_branch'                => '',
        'latitude'                   => 'Please enter latitude',
        'longitude'                  => 'Please enter longitude',
        'slug'                       => 'Please enter slug',
        'published'                  => 'Please select published',
        'upload_folder'              => 'Please enter upload folder',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'country_id'                 => 'Country id',
        'state_id'                   => 'State id',
        'district_id'                => 'District id',
        'location_id'                => 'Location id',
        'parent_id'                  => 'Parent id',
        'name'                       => 'Name',
        'address'                    => 'Address',
        'description'                => 'Description',
        'phone'                      => 'Phone',
        'website'                    => 'Website',
        'email'                      => 'Email',
        'working_hours'              => 'Working hours',
        'logo'                       => 'Logo',
        'images'                     => 'Images',
        'main_branch'                => '',
        'latitude'                   => 'Latitude',
        'longitude'                  => 'Longitude',
        'slug'                       => 'Slug',
        'published'                  => 'Published',
        'upload_folder'              => 'Upload folder',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'country_id'                 => ['name' => 'Country id', 'data-column' => 1, 'checked'],
        'state_id'                   => ['name' => 'State id', 'data-column' => 2, 'checked'],
        'district_id'                => ['name' => 'District id', 'data-column' => 3, 'checked'],
        'location_id'                => ['name' => 'Location id', 'data-column' => 4, 'checked'],
        'parent_id'                  => ['name' => 'Parent id', 'data-column' => 5, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 6, 'checked'],
        'address'                    => ['name' => 'Address', 'data-column' => 7, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 8, 'checked'],
        'phone'                      => ['name' => 'Phone', 'data-column' => 9, 'checked'],
        'website'                    => ['name' => 'Website', 'data-column' => 10, 'checked'],
        'email'                      => ['name' => 'Email', 'data-column' => 11, 'checked'],
        'working_hours'              => ['name' => 'Working hours', 'data-column' => 12, 'checked'],
        'logo'                       => ['name' => 'Logo', 'data-column' => 13, 'checked'],
        'images'                     => ['name' => 'Images', 'data-column' => 14, 'checked'],
        'latitude'                   => ['name' => 'Latitude', 'data-column' => 15, 'checked'],
        'longitude'                  => ['name' => 'Longitude', 'data-column' => 16, 'checked'],
        'published'                  => ['name' => 'Published', 'data-column' => 17, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Shops',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
