<?php

namespace Litecms\Offer\Repositories\Eloquent;

use Litecms\Offer\Interfaces\ShopRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ShopRepository extends BaseRepository implements ShopRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.offer.shop.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.offer.shop.model.model');
    }
}
