<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for offer in offer package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  offer module in offer package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Offer',
    'names'         => 'Offers',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Offers',
        'sub'   => 'Offers',
        'list'  => 'List of offers',
        'edit'  => 'Edit offer',
        'create'    => 'Create new offer'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'product_id'                 => 'Please enter product id',
        'shop_id'                    => 'Please enter shop id',
        'flyer_id'                   => '',
        'name'                       => 'Please enter name',
        'actual_price'               => '',
        'discount_percentage'        => 'Please enter discount',
        'discount_price'             => '',
        'discount_amount'            => '',
        'min_quantity'               => '',
        'price'                      => '',
        'image'                      => '',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'product_id'                 => 'Product id',
        'shop_id'                    => 'Shop id',
        'flyer_id'                   => '',
        'name'                       => 'Name',
        'actual_price'               => '',
        'discount_percentage'        => 'Discount',
        'discount_price'             => '',
        'discount_amount'            => '',
        'min_quantity'               => '',
        'price'                      => '',
        'image'                      => '',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'product_id'                 => ['name' => 'Product id', 'data-column' => 1, 'checked'],
        'shop_id'                    => ['name' => 'Shop id', 'data-column' => 2, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 3, 'checked'],
        'discount_percentage'        => ['name' => 'Discount', 'data-column' => 4, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Offers',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
