<?php

// Resource routes  for category
Route::group(['prefix' => set_route_guard('web').'/offer'], function () {
    Route::resource('category', 'CategoryResourceController');
});



// Resource routes  for product
Route::group(['prefix' => set_route_guard('web').'/offer'], function () {
    Route::resource('product', 'ProductResourceController');
});



// Resource routes  for shop
Route::group(['prefix' => set_route_guard('web').'/offer'], function () {
    Route::resource('shop', 'ShopResourceController');
});



// Resource routes  for offer
Route::group(['prefix' => set_route_guard('web').'/offer'], function () {
    Route::resource('offer', 'OfferResourceController');
});



// Resource routes  for flyer
Route::group(['prefix' => set_route_guard('web').'/offer'], function () {
    Route::resource('flyer', 'FlyerResourceController');
});

// Public  routes for flyer
Route::get('flyer/popular/{period?}', 'FlyerPublicController@popular');
Route::get('offers/', 'FlyerPublicController@index');
Route::get('offers/{slug?}', 'FlyerPublicController@show');

